Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordWriterFilterAdaptor

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordFilter
          com.servingxml.components.recordio.RecordWriterFilterAdaptor

All Implemented Interfaces:
  RecordFilter, RecordReader, RecordWriter

    public final class RecordWriterFilterAdaptor

extends AbstractRecordFilter
implements RecordFilter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordFilter
`NULL`

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER`

Constructor Summary
`RecordWriterFilterAdaptor(RecordWriter recordWriter)`

Method Summary
`void` | `close()`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`void` | `readRecords(ServiceContext context, Flow flow)`
`void` | `setRecordWriter(RecordWriter recordWriter)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordFilter
`discardRecord, getDiscardWriter, getRecordReader, getRecordWriter, setDiscardWriter, setRecordReader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordFilter
`setRecordReader`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getRecordWriter, setDiscardWriter`

Constructor Detail

### RecordWriterFilterAdaptor

    public RecordWriterFilterAdaptor(RecordWriter recordWriter)

Method Detail

### readRecords

    public final void readRecords(ServiceContext context,
                                  Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`
  Overrides:
    `readRecords` in class `AbstractRecordFilter`

### getKey

    public final Key getKey()

  Specified by:
    `getKey` in interface `RecordReader`
  Overrides:
    `getKey` in class `AbstractRecordFilter`

### getExpirable

    public final Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `RecordReader`
  Overrides:
    `getExpirable` in class `AbstractRecordFilter`

### setRecordWriter

    public final void setRecordWriter(RecordWriter recordWriter)

  Specified by:
    `setRecordWriter` in interface `RecordReader`
  Overrides:
    `setRecordWriter` in class `AbstractRecordFilter`

### startRecordStream

    public final void startRecordStream(ServiceContext context,
                                        Flow flow)

  Specified by:
    `startRecordStream` in interface `RecordWriter`
  Overrides:
    `startRecordStream` in class `AbstractRecordFilter`

### endRecordStream

    public final void endRecordStream(ServiceContext context,
                                      Flow flow)

  Specified by:
    `endRecordStream` in interface `RecordWriter`
  Overrides:
    `endRecordStream` in class `AbstractRecordFilter`

### writeRecord

    public final void writeRecord(ServiceContext context,
                                  Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`
  Overrides:
    `writeRecord` in class `AbstractRecordFilter`

### close

    public final void close()

  Specified by:
    `close` in interface `RecordWriter`
  Overrides:
    `close` in class `AbstractRecordFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD